using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Vevo.Shared.WebUI.ServerControls
{
    [DefaultProperty( "Text" )]
    [ToolboxData( "<{0}:Button runat=server></{0}:Button>" )]
    public class Button : System.Web.UI.WebControls.Button
    {
        protected void Control_Load( object sender, EventArgs e )
        {
            if (OnClickGoTo == Position.Top)
            {
                if (String.IsNullOrEmpty( OnClickClientScriptPosition ))
                    this.OnClientClick = "javascript:window.scrollTo(0,0);";
                else
                    this.OnClientClick = OnClickClientScriptPosition;
            }
        }

        public Button()
        {
            Load += new EventHandler( Control_Load );
        }

        public Position OnClickGoTo
        {
            get
            {
                if (ViewState["OnClickGoTo"] != null)
                    return (Position) ViewState["OnClickGoTo"];
                else
                    return Position.None;
            }
            set
            {
                ViewState["OnClickGoTo"] = value;
            }
        }

        public String OnClickClientScriptPosition
        {
            get
            {
                if (ViewState["OnClickClientScriptPosition"] != null)
                    return ViewState["OnClickClientScriptPosition"].ToString();
                else
                    return String.Empty;
            }
            set
            {
                ViewState["OnClickClientScriptPosition"] = value;
            }
        }

    }
}
