﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Vevo.Domain.Blogs
{
    public class Blog : ICloneable
    {
        #region Private

        private string _blogID = "0";
        private string _blogTitle = String.Empty;
        private string _urlName = String.Empty;
        private string _imageFile = String.Empty;
        private bool _isEnabled = true;
        private string _shortContent = String.Empty;
        private string _blogContent = String.Empty;
        private string _tags = String.Empty;
        private string _metaTitle = String.Empty;
        private string _metaKeyword = String.Empty;
        private string _metaDescription = String.Empty;
        private string _publisher = String.Empty;
        private IList<String> _storeIDs = new List<String>();
        private IList<String> _blogCategoryIDs = new List<String>();
        private DateTime _createDate = DateTime.Now;

        private Culture _defaultCulture;

        #endregion

        #region Public Constructors

        public Blog()
        { }

        //public Blog( Culture defaultCulture )
        //{
        //    _defaultCulture = defaultCulture;
        //}

        #endregion

        #region Public Properties

        public string BlogID { get { return _blogID; } set { _blogID = value; } }
        public string BlogTitle { get { return _blogTitle; } set { _blogTitle = value; } }
        public string UrlName { get { return _urlName; } set { _urlName = value; } }
        public string ImageFile { get { return _imageFile; } set { _imageFile = value; } }
        public bool IsEnabled { get { return _isEnabled; } set { _isEnabled = value; } }
        public string ShortContent { get { return _shortContent; } set { _shortContent = value; } }
        public string BlogContent { get { return _blogContent; } set { _blogContent = value; } }
        public string Tags { get { return _tags; } set { _tags = value; } }
        public string MetaTitle { get { return _metaTitle; } set { _metaTitle = value; } }
        public string MetaKeyword { get { return _metaKeyword; } set { _metaKeyword = value; } }
        public string MetaDescription { get { return _metaDescription; } set { _metaDescription = value; } }
        public string Publisher { get { return _publisher; } set { _publisher = value; } }
        public IList<String> StoreIDs { get { return _storeIDs; } set { _storeIDs = value; } }
        public IList<String> BlogCategoryIDs { get { return _blogCategoryIDs; } set { _blogCategoryIDs = value; } }
        public DateTime CreateDate { get { return _createDate; } set { _createDate = value; } }

        public Culture DefaultCulture { get { return _defaultCulture; } set { _defaultCulture = value; } }

        public static Blog Null
        {
            get { return NullBlog.Instance; }
        }

        public virtual bool IsNull
        {
            get { return false; }
        }

        #endregion

        #region IClonable Members

        // Copy the whole aggregate (including locale)
        public object Clone()
        {
            Blog newObject = (Blog) MemberwiseClone();
            return newObject;
        }

        #endregion
    }
}
