using System;
using System.Collections.Generic;
using System.Text;

using Vevo.Domain;
using Vevo.Domain.Discounts;
using Vevo.Base.Domain;

namespace Vevo.Domain.DataInterfaces
{
    public interface IDiscountGroupRepository
    {
        // Functions that are intended to be used internally inside aggregates.
        #region Aggregate Methods

        IList<DiscountRule> GetDiscountRulesByDiscountGroupID( string discountGroupID );

        #endregion


        #region Public Methods

        DiscountGroup Save( DiscountGroup discountGroup );
        DiscountGroup GetOne( string discountGroupID );
        void Delete( string discountGroupID );
        IList<DiscountGroup> GetAll();
        IList<TableSchemaItem> GetTableSchema();
        IList<DiscountGroup> SearchDiscountGroup(
            string sortBy,
            SearchFilter searchFilter,
            int startIndex,
            int endIndex,
            out int howManyItems );

        #endregion
    }
}
