using System;
using System.Collections.Generic;
using System.Text;

namespace Vevo.Domain.Marketing
{
    public class NewsLetter : ICloneable
    {
        #region Private

        private string _email = String.Empty;
        private string _emailHash = String.Empty;
        private DateTime _joinDate = DateTime.Now;
        private string _userName = String.Empty;
        private bool _isUserNameValid = false;
        private string _storeID = String.Empty;

        #endregion


        #region Public Constructors

        public NewsLetter()
        {
        }

        #endregion


        #region Public Properties
        
        public string Email { get { return _email; } set { _email = value; } }
        public string EmailHash { get { return _emailHash; } set { _emailHash = value; } }
        public DateTime JoinDate { get { return _joinDate; } set { _joinDate = value; } }
        public string StoreID { get { return _storeID; } set { _storeID = value; } }

        public String UserName
        {
            get
            {
                if (_isUserNameValid)
                    return _userName;
                else
                    throw new Exception( "The value of UserName is not set" );
            }
            set
            {
                _userName = value;
                _isUserNameValid = true;
            }
        }

        public static NewsLetter Null
        {
            get { return NullNewsLetter.Instance; }
        }

        public virtual bool IsNull
        {
            get { return false; }
        }


        #endregion


        #region IClonable Members

        // Copy the whole aggregate (including locale)
        public object Clone()
        {
            NewsLetter newObject = (NewsLetter) MemberwiseClone();
            return newObject;
        }

        #endregion


        #region Public Method

        #endregion
    }
}
