﻿using System;
using Vevo.Domain.Users;
using Vevo.Domain.Orders;

namespace Vevo.Domain.Returns
{
    public class Rma : ICloneable
    {
        #region Private

        private string _rmaID = "0";
        private string _storeID = "0";
        private string _customerID = "0";
        private DateTime _requestDate = DateTime.Today;
        private string _orderID = "0";
        private string _productName = String.Empty;
        private int _quantity = 0;
        private string _returnReason = String.Empty;
        private string _rmaActionID = "0";
        private string _requestStatus = String.Empty;
        private string _rmaNote = String.Empty;
        private string _userName = String.Empty;

        #endregion

        #region Constructors

        public Rma()
        {
        }

        #endregion

        #region Public Properties

        public string RmaID { get { return _rmaID; } set { _rmaID = value; } }
        public string StoreID { get { return _storeID; } set { _storeID = value; } }
        public string CustomerID { get { return _customerID; } set { _customerID = value; } }
        public DateTime RequestDate { get { return _requestDate; } set { _requestDate = value; } }
        public string OrderID { get { return _orderID; } set { _orderID = value; } }
        public string ProductName { get { return _productName; } set { _productName = value; } }
        public int Quantity { get { return _quantity; } set { _quantity = value; } }
        public string ReturnReason { get { return _returnReason; } set { _returnReason = value; } }
        public string RmaActionID { get { return _rmaActionID; } set { _rmaActionID = value; } }
        public string RequestStatus { get { return _requestStatus; } set { _requestStatus = value; } }
        public string RmaNote { get { return _rmaNote; } set { _rmaNote = value; } }
        public string UserName { get { return _userName; } set { _userName = value; } }
        
        public static Rma Null
        {
            get { return NullRma.Instance; }
        }

        public virtual bool IsNull
        {
            get { return false; }
        }

        #endregion

        #region IClonable Members

        // Copy the whole aggregate (including locale)
        public object Clone()
        {
            Rma newObject = ( Rma ) MemberwiseClone();
            return newObject;
        }

        #endregion

        #region Public Methods

        public Customer GetCustomer
        {
            get
            {
                return DataAccessContext.CustomerRepository.GetOne( CustomerID );
            }
        }

        public RmaAction GetRmaAction
        {
            get
            {
                return DataAccessContext.RmaActionRepository.GetOne( RmaActionID );
            }
        }

        #endregion

        #region Public Enum

        public enum RmaStatus
        {
            All,
            New,
            Processing,
            Returned,
            Rejected
        }

        #endregion
    }
}
